package com.zipcodewilmington.bankaccountlab;

import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

public class BusinessAccountTest {
   BusinessAccount ba = new BusinessAccount();

    @Test
    public void testWithDraw(){
        double expected = 3000;
        double actual = ba.withdraw(4500, 1500);
        assertEquals(expected, actual);
    }

    @Test
    public void testWithDraw2(){
        double expected = 15000;
        double actual = ba.withdraw(20100, 5100);
        assertEquals(expected, actual);
    }

    @Test
    public void testDeposit(){
        double expected = 20000;
        double actual = ba.deposit(10000, 10000);
        assertEquals(expected, actual);
    }

    @Test
    public void testDeposit2(){
        double expected = 52000;
        double actual = ba.deposit(15000, 37000);
        assertEquals(expected, actual);
    }

    @Test
    public void testGetPin(){
        String expected = "123456789";
        ba.setPin(expected);
        String actual = ba.getPin();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetPin2(){
        String expected = "987654321";
        ba.setPin(expected);
        String actual = ba.getPin();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetCreditAccountNumber(){
        String expected = "492023084591";
        ba.setCreditAccountNumber(expected);
        String actual = ba.getCreditAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetCreditAccountNumber2(){
        String expected = "9223049458502";
        ba.setCreditAccountNumber(expected);
        String actual = ba.getCreditAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetDebitAccountNumber(){
        String expected = "94924232394234";
        ba.setDebitAccountNumber(expected);
        String actual = ba.getDebitAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetDebitAccountNumber2(){
        String expected = "92046010495602";
        ba.setDebitAccountNumber(expected);
        String actual = ba.getDebitAccountNumber();
        assertEquals(expected, actual);
    }
}
