package com.zipcodewilmington.bankaccountlab;

import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

public class CheckingAccountTest {

    CheckingAccount ca = new CheckingAccount();

    @Test
    public void testWithDraw(){
        double expected = 6000;
        double actual = ca.withdraw(7200, 1200);
        assertEquals(expected, actual);
    }

    @Test
    public void testWithDraw2(){
        double expected = 150000;
        double actual = ca.withdraw(200500, 50500);
        assertEquals(expected, actual);
    }

    @Test
    public void testDeposit(){
        double expected = 220000;
        double actual = ca.deposit(154000, 66000);
        assertEquals(expected, actual);
    }

    @Test
    public void testDeposit2(){
        double expected = 503000;
        double actual = ca.deposit(478000, 25000);
        assertEquals(expected, actual);
    }

    @Test
    public void testGetPin(){
        String expected = "294595950";
        ca.setPin(expected);
        String actual = ca.getPin();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetPin2(){
        String expected = "284859590";
        ca.setPin(expected);
        String actual = ca.getPin();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetCreditAccountNumber(){
        String expected = "24505929293949";
        ca.setCreditAccountNumber(expected);
        String actual = ca.getCreditAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetCreditAccountNumber2(){
        String expected = "39345959594929";
        ca.setCreditAccountNumber(expected);
        String actual = ca.getCreditAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetDebitAccountNumber(){
        String expected = "94959594920229";
        ca.setDebitAccountNumber(expected);
        String actual = ca.getDebitAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetDebitAccountNumber2(){
        String expected = "34959592923030";
        ca.setDebitAccountNumber(expected);
        String actual = ca.getDebitAccountNumber();
        assertEquals(expected, actual);
    }
}
