package com.zipcodewilmington.bankaccountlab;

import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

public class SavingsAccountTest {
    SavingsAccount sa = new SavingsAccount();

    @Test
    public void testWithDraw(){
        double expected = 6000;
        double actual = sa.withdraw(7200, 1200);
        assertEquals(expected, actual);
    }

    @Test
    public void testWithDraw2(){
        double expected = 150000;
        double actual = sa.withdraw(200500, 50500);
        assertEquals(expected, actual);
    }

    @Test
    public void testDeposit(){
        double expected = 220000;
        double actual = sa.deposit(154000, 66000);
        assertEquals(expected, actual);
    }

    @Test
    public void testDeposit2(){
        double expected = 503000;
        double actual = sa.deposit(478000, 25000);
        assertEquals(expected, actual);
    }

    @Test
    public void testGetPin(){
        String expected = "294595950";
        sa.setPin(expected);
        String actual = sa.getPin();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetPin2(){
        String expected = "284859590";
        sa.setPin(expected);
        String actual = sa.getPin();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetCreditAccountNumber(){
        String expected = "24505929293949";
        sa.setCreditAccountNumber(expected);
        String actual = sa.getCreditAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetCreditAccountNumber2(){
        String expected = "39345959594929";
        sa.setCreditAccountNumber(expected);
        String actual = sa.getCreditAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetDebitAccountNumber(){
        String expected = "94959594920229";
        sa.setDebitAccountNumber(expected);
        String actual = sa.getDebitAccountNumber();
        assertEquals(expected, actual);
    }

    @Test
    public void testGetDebitAccountNumber2(){
        String expected = "34959592923030";
        sa.setDebitAccountNumber(expected);
        String actual = sa.getDebitAccountNumber();
        assertEquals(expected, actual);
    }

}
